# -*- coding: utf-8; indent-tabs-mode: nil; tab-width: 2; -*-
#

---
#
# root user
#


- name: Installing HTTPD packages
  yum: name={{ item }} state=latest
  with_items:
    - openssl
    - httpd
    - mod_ssl
  notify:
    - Restart httpd

- name: Configure SSL
  copy: src=files/files/etc/httpd/conf.d/ssl-EL{{ ansible_distribution_major_version }}.conf dest=/etc/httpd/conf.d/ssl.conf
  when: ( httpd_certificate_file is defined and httpd_key_file is defined )
  notify:
    - Restart httpd

- name: Configure SSL Certificate
  copy: src={{httpd_certificate_file}} dest=/etc/pki/tls/certs/host.crt mode=644
  when: ( httpd_certificate_file is defined and httpd_key_file is defined )
  notify:
    - Restart httpd

- name: Configure SSL Key
  copy: src={{httpd_key_file}} dest=/etc/pki/tls/private/host.key mode=600
  when: ( httpd_certificate_file is defined and httpd_key_file is defined )
  notify:
    - Restart httpd

- name: Configure http to https redirection
  template: src=templates/files/etc/httpd/conf.d/redirect.conf dest=/etc/httpd/conf.d/redirect.conf
  notify:
    - Restart httpd

- name: Enable httpd
  service: name=httpd enabled=yes

- name: Starting httpd
  service: name=httpd state=started
